# AWS Cost and Resource Report (Last 6 Months: Nov 2024 - May 2025)

This report provides an overview of your AWS costs for the past six months and a detailed inventory of key resources.

## 1. AWS Cost Overview (Last 6 Months)

The following table summarizes your AWS spending per service for each month from November 2024 to May 2025. Services with zero cost have been excluded, and the remaining services are sorted by cost in descending order for each month.

| Month         | Service                               | Cost (USD)        |
|---------------|---------------------------------------|-------------------|
| **Nov 2024**  |                                       |                   |
|               | Amazon Relational Database Service    | 82.21             |
|               | EC2 - Other                           | 34.29             |
|               | Amazon Simple Storage Service         | 23.49             |
|               | Amazon ElastiCache                    | 15.60             |
|               | Amazon Elastic Load Balancing         | 12.84             |
|               | Amazon Elastic Compute Cloud - Compute| 10.72             |
|               | AmazonCloudWatch                      | 8.34              |
|               | Amazon Virtual Private Cloud          | 4.96              |
|               | Amazon GuardDuty                      | 2.41              |
|               | Amazon EC2 Container Registry (ECR)   | 0.62              |
|               | AWS Key Management Service            | 0.33              |
|               | AWS Security Hub                      | 0.32              |
| **Dec 2024**  |                                       |                   |
|               | Amazon Relational Database Service    | 2268.15           |
|               | Tax                                   | 428.70            |
|               | EC2 - Other                           | 182.57            |
|               | Amazon Simple Storage Service         | 142.50            |
|               | Amazon Elastic Load Balancing         | 97.27             |
|               | Amazon Elastic Compute Cloud - Compute| 57.15             |
|               | Amazon ElastiCache                    | 48.36             |
|               | AmazonCloudWatch                      | 30.02             |
|               | Amazon Virtual Private Cloud          | 16.77             |
|               | Amazon GuardDuty                      | 10.78             |
|               | Amazon EC2 Container Registry (ECR)   | 1.98              |
|               | AWS Key Management Service            | 1.00              |
|               | AWS Security Hub                      | 0.99              |
| **Jan 2025**  |                                       |                   |
|               | Amazon Relational Database Service    | 1676.31           |
|               | Tax                                   | 335.39            |
|               | Amazon Elastic Compute Cloud - Compute| 192.35            |
|               | EC2 - Other                           | 150.80            |
|               | Amazon Simple Storage Service         | 64.01             |
|               | Amazon ElastiCache                    | 48.36             |
|               | Amazon Elastic Load Balancing         | 42.18             |
|               | AmazonCloudWatch                      | 31.52             |
|               | Amazon Virtual Private Cloud          | 17.91             |
|               | Amazon GuardDuty                      | 8.96              |
|               | Amazon EC2 Container Registry (ECR)   | 2.31              |
|               | AWS Key Management Service            | 1.00              |
|               | AWS Security Hub                      | 0.99              |
| **Feb 2025**  |                                       |                   |
|               | Amazon Relational Database Service    | 777.24            |
|               | Amazon Elastic Compute Cloud - Compute| 248.70            |
|               | Tax                                   | 200.00            |
|               | EC2 - Other                           | 109.15            |
|               | Amazon Simple Storage Service         | 73.17             |
|               | Amazon ElastiCache                    | 43.68             |
|               | AmazonCloudWatch                      | 31.42             |
|               | Amazon Elastic Load Balancing         | 21.86             |
|               | Amazon Virtual Private Cloud          | 16.62             |
|               | Amazon GuardDuty                      | 7.43              |
|               | Amazon EC2 Container Registry (ECR)   | 2.45              |
|               | AWS Key Management Service            | 1.00              |
|               | AWS Security Hub                      | 0.90              |
| **Mar 2025**  |                                       |                   |
|               | Amazon Relational Database Service    | 882.66            |
|               | Amazon Elastic Compute Cloud - Compute| 253.27            |
|               | Tax                                   | 222.75            |
|               | EC2 - Other                           | 108.09            |
|               | Amazon Simple Storage Service         | 102.17            |
|               | Amazon ElastiCache                    | 48.36             |
|               | AmazonCloudWatch                      | 36.47             |
|               | Amazon Elastic Load Balancing         | 22.06             |
|               | Amazon Virtual Private Cloud          | 19.65             |
|               | Amazon GuardDuty                      | 8.27              |
|               | Amazon EC2 Container Registry (ECR)   | 2.57              |
|               | AWS Key Management Service            | 1.00              |
|               | AWS Security Hub                      | 0.99              |
|               | Amazon Elastic Container Service      | 0.66              |
|               | AWS CloudShell                        | 0.02              |
|               | Amazon Cognito                        | 0.02              |
| **Apr 2025**  |                                       |                   |
|               | Amazon Relational Database Service    | 854.65            |
|               | Amazon Elastic Compute Cloud - Compute| 211.37            |
|               | Tax                                   | 199.43            |
|               | EC2 - Other                           | 90.63             |
|               | AmazonCloudWatch                      | 55.22             |
|               | Amazon ElastiCache                    | 46.80             |
|               | Amazon Elastic Load Balancing         | 27.26             |
|               | Amazon Virtual Private Cloud          | 21.07             |
|               | Amazon Simple Storage Service         | 10.96             |
|               | Amazon GuardDuty                      | 6.96              |
|               | Amazon EC2 Container Registry (ECR)   | 2.71              |
|               | Amazon Elastic Container Service      | 1.03              |
|               | AWS Key Management Service            | 1.00              |
|               | AWS Security Hub                      | 0.96              |
|               | Amazon Cognito                        | 0.02              |
|               | AWS Systems Manager                   | 0.00              |
|               | Amazon API Gateway                    | 0.00              |
|               | AWS IoT                               | 0.00              |
|               | Amazon DynamoDB                       | 0.00              |
|               | CloudWatch Events                     | 0.00              |
| **May 2025 (so far)** |                               |                   |
|               | Amazon Relational Database Service    | 569.42            |
|               | Tax                                   | 130.21            |
|               | Amazon Elastic Compute Cloud - Compute| 124.91            |
|               | EC2 - Other                           | 56.13             |
|               | Amazon ElastiCache                    | 31.20             |
|               | AmazonCloudWatch                      | 30.96             |
|               | Amazon Elastic Load Balancing         | 18.31             |
|               | Amazon Virtual Private Cloud          | 13.63             |
|               | Amazon Simple Storage Service         | 8.81              |
|               | Amazon GuardDuty                      | 3.98              |
|               | Amazon EC2 Container Registry (ECR)   | 1.80              |
|               | AWS Key Management Service            | 0.65              |
|               | AWS Security Hub                      | 0.64              |
|               | AWS Cost Explorer                     | 0.17              |
|               | Amazon Cognito                        | 0.02              |

*Note: Costs are rounded to two decimal places. May 2025 costs are estimated as the month is not yet complete.*

## 2. Detailed Resource Inventory

### 2.1. Amazon Relational Database Service (RDS)

*   **DB Instances:**
    *   **Identifier:** `production-db`
        *   Class: `db.t4g.2xlarge`
        *   Engine: PostgreSQL 16.4
        *   Status: available
        *   Endpoint: `production-db.cvzg0aws9ucs.us-east-2.rds.amazonaws.com:5432`
        *   Allocated Storage: 50 GB
        *   Multi-AZ: True
        *   Read Replicas: `public-db-read-replica`
        *   Storage Encrypted: True
        *   Deletion Protection: True
    *   **Identifier:** `public-db-read-replica`
        *   Class: `db.t4g.large`
        *   Engine: PostgreSQL 16.4
        *   Status: available
        *   Endpoint: `public-db-read-replica.cvzg0aws9ucs.us-east-2.rds.amazonaws.com:5432`
        *   Allocated Storage: 50 GB
        *   Source DB: `production-db`
        *   Publicly Accessible: True
        *   Storage Encrypted: True
        *   Deletion Protection: True

### 2.2. Amazon ElastiCache

*   **Cache Clusters:**
    *   **Identifier:** `lms-backend-cluster`
        *   Node Type: `cache.t4g.medium`
        *   Engine: Redis 7.1.0
        *   Status: available
        *   Number of Cache Nodes: 1
        *   Preferred Availability Zone: `us-east-2a`

### 2.3. Amazon Elastic Container Service (ECS)

*   **Cluster:** `lms-backend-application`
    *   ARN: `arn:aws:ecs:us-east-2:077143350556:cluster/lms-backend-application`
    *   Status: ACTIVE
    *   Registered Container Instances: 6
    *   Running Tasks: 6
    *   Pending Tasks: 0
    *   Active Services: 3
    *   Capacity Providers: `lms-ecs-server-capacity-provider`, `lms-ecs-worker-capacity-provider`
    *   **Services:**
        *   **Name:** `worker-sumaya369-production`
            *   ARN: `arn:aws:ecs:us-east-2:077143350556:service/lms-backend-application/worker-sumaya369-production`
            *   Status: ACTIVE
            *   Desired Count: 2
            *   Running Count: 2
            *   Task Definition: `arn:aws:ecs:us-east-2:077143350556:task-definition/worker-sumaya369-production:276`
            *   **Tasks:**
                *   `arn:aws:ecs:us-east-2:077143350556:task/lms-backend-application/51f1b87a3f084e27a8b2223f2bc4b26e`
                    *   Container Instance ARN: `arn:aws:ecs:us-east-2:077143350556:container-instance/lms-backend-application/c354aa2ef1c845fb8ca1f220dff58de6`
                    *   Image: `077143350556.dkr.ecr.us-east-2.amazonaws.com/sumaya369-production:33aa3d0`
                    *   Health Status: HEALTHY
                *   `arn:aws:ecs:us-east-2:077143350556:task/lms-backend-application/590919c7069545f3b3b2dd8a1e5d7df1`
                    *   Container Instance ARN: `arn:aws:ecs:us-east-2:077143350556:container-instance/lms-backend-application/c354aa2ef1c845fb8ca1f220dff58de6`
                    *   Image: `077143350556.dkr.ecr.us-east-2.amazonaws.com/sumaya369-production:33aa3d0`
                    *   Health Status: HEALTHY
        *   **Name:** `laravel-sumaya369-production`
            *   ARN: `arn:aws:ecs:us-east-2:077143350556:service/lms-backend-application/laravel-sumaya369-production`
            *   Status: ACTIVE
            *   Desired Count: 4
            *   Running Count: 4
            *   Task Definition: `arn:aws:ecs:us-east-2:077143350556:task-definition/laravel-sumaya369-production:277`
            *   Load Balancer Target Group: `arn:aws:elasticloadbalancing:us-east-2:077143350556:targetgroup/lms-backend-application/78e927c858f41504`
            *   **Tasks:**
                *   `arn:aws:ecs:us-east-2:077143350556:task/lms-backend-application/7955d8fc90524848a75c2d338f0e63a0`
                    *   Container Instance ARN: `arn:aws:ecs:us-east-2:077143350556:container-instance/lms-backend-application/0d08bc97125d41429097513944b7eb2e`
                    *   Private IP: `21.0.3.172`
                    *   Image: `077143350556.dkr.ecr.us-east-2.amazonaws.com/sumaya369-production:33aa3d0`
                    *   Health Status: HEALTHY
                *   `arn:aws:ecs:us-east-2:077143350556:task/lms-backend-application/aedf6f05dc4b4ba887d6fd587a2171e8`
                    *   Container Instance ARN: `arn:aws:ecs:us-east-2:077143350556:container-instance/lms-backend-application/5465088b232e405f803c117f7bafc219`
                    *   Private IP: `21.0.1.182`
                    *   Image: `077143350556.dkr.ecr.us-east-2.amazonaws.com/sumaya369-production:33aa3d0`
                    *   Health Status: HEALTHY
                *   `arn:aws:ecs:us-east-2:077143350556:task/lms-backend-application/e750d096eb19431f80205e92487dc6c3`
                    *   Container Instance ARN: `arn:aws:ecs:us-east-2:077143350556:container-instance/lms-backend-application/85093eb358e5475aa0bf1bd6c45a7855`
                    *   Private IP: `21.0.3.238`
                    *   Image: `077143350556.dkr.ecr.us-east-2.amazonaws.com/sumaya369-production:33aa3d0`
                    *   Health Status: HEALTHY
                *   `arn:aws:ecs:us-east-2:077143350556:task/lms-backend-application/ed33eda57baf451489f26717453f86cb`
                    *   Container Instance ARN: `arn:aws:ecs:us-east-2:077143350556:container-instance/lms-backend-application/b8292c626dc04230ad84b83036f4e6c7`
                    *   Private IP: `21.0.2.102`
                    *   Image: `077143350556.dkr.ecr.us-east-2.amazonaws.com/sumaya369-production:33aa3d0`
                    *   Health Status: HEALTHY
        *   **Name:** `datadog-sumaya369-production`
            *   ARN: `arn:aws:ecs:us-east-2:077143350556:service/lms-backend-application/datadog-sumaya369-production`
            *   Status: ACTIVE
            *   Desired Count: 0
            *   Running Count: 0
            *   Task Definition: `arn:aws:ecs:us-east-2:077143350556:task-definition/datadog-agent-task:1`
            *   (No running tasks)

### 2.4. Amazon CloudWatch

*   **Log Groups:**
    *   `/aws/ecs/containerinsights/lms-backend-application/performance` (Retention: 1 day)
    *   `/aws/lambda/laravel_schedule` (Retention: 60 days)
    *   `/aws/lambda/one_minute_lambda` (Retention: 60 days)
    *   `/aws/rds/instance/production-db/postgresql`
    *   `/aws/rds/instance/production-db/upgrade`
    *   `ecs-sumaya369-production`
    *   `ecs-worker-sumaya369-production`
    *   `lms-backend-vpc-log-group` (Retention: 60 days)

### 2.5. Amazon Elastic Load Balancing (ELB)

*   **Application Load Balancers:**
    *   **Name:** `lms-backend-application`
        *   ARN: `arn:aws:elasticloadbalancing:us-east-2:077143350556:loadbalancer/app/lms-backend-application/8b0ac90a355b22c5`
        *   DNS Name: `lms-backend-application-819846482.us-east-2.elb.amazonaws.com`
        *   Scheme: internet-facing
        *   VPC ID: `vpc-0c4471dcb44e48607`
        *   Type: application
        *   **Listeners:**
            *   ARN: `arn:aws:elasticloadbalancing:us-east-2:077143350556:listener/app/lms-backend-application/8b0ac90a355b22c5/b4194d25ad934c0e`
                *   Port: 443
                *   Protocol: HTTPS
                *   Default Target Group: `arn:aws:elasticloadbalancing:us-east-2:077143350556:targetgroup/lms-backend-application/78e927c858f41504`
        *   **Target Groups:**
            *   **Name:** `lms-backend-application`
                *   ARN: `arn:aws:elasticloadbalancing:us-east-2:077143350556:targetgroup/lms-backend-application/78e927c858f41504`
                *   Protocol: HTTP
                *   Port: 80
                *   Target Type: ip
                *   Health Check Path: `/healthcheck`
                *   **Target Health:**
                    *   `21.0.3.172:80` (us-east-2c) - healthy
                    *   `21.0.1.182:80` (us-east-2a) - healthy
                    *   `21.0.3.238:80` (us-east-2c) - healthy
                    *   `21.0.2.102:80` (us-east-2b) - healthy

### 2.6. Amazon Virtual Private Cloud (VPC)

*   **VPCs:**
    *   **ID:** `vpc-0de008ab265fb7af4`
        *   CIDR: `172.31.0.0/16`
        *   Is Default: True
    *   **ID:** `vpc-0c4471dcb44e48607` (Name: `lms-vpc`)
        *   CIDR: `21.0.0.0/16`
        *   Is Default: False
        *   **Subnets (Partial List for lms-vpc):**
            *   `subnet-0eeb3f9ba9d1e47c8` (Private, `21.0.3.0/24`, us-east-2c)
            *   `subnet-0cdbd6e116427a0e0` (Private, `21.0.2.0/24`, us-east-2b)
            *   `subnet-0522504979f06e7fe` (Private, `21.0.1.0/24`, us-east-2a)
            *   `subnet-0187214e229fcb18e` (Public, `21.0.6.0/24`, us-east-2c)
            *   `subnet-0eb554ab5b0932757` (elasticache, `21.0.10.0/24`, us-east-2a)
            *   `subnet-01b040dcbe418b4d1` (Database, `21.0.8.0/24`, us-east-2b)
            *   `subnet-0d07a303dc4ff15fb` (Database, `21.0.7.0/24`, us-east-2a)
            *   `subnet-028193dabea7bd536` (Public, `21.0.5.0/24`, us-east-2b)
            *   `subnet-037fd38b223306cff` (elasticache, `21.0.11.0/24`, us-east-2b)
            *   `subnet-0ec78170cb1f3a48e` (elasticache, `21.0.12.0/24`, us-east-2c)
            *   `subnet-0b9febea9a7a5c959` (Public, `21.0.4.0/24`, us-east-2a)
            *   `subnet-0d0c583ec9b200bc9` (Database, `21.0.9.0/24`, us-east-2c)
        *   **Security Groups (Partial List for lms-vpc):**
            *   `sg-05836519ac87ab36f` (Name: `lms-backend Loadbalancer SG`)
            *   `sg-0e89116ef4beb1594` (Name: `lms-laravel container SG`)
            *   `sg-0a152f131d9fb415e` (Name: `jmeter-sg`)
            *   `sg-0ef46a9a53953bca7` (Name: `lms-laravel Loadbalancer SG`)
            *   `sg-0d733fdecbb37b7a9` (Name: `db-middleware`)
            *   `sg-0cf17662a3a54d471` (Name: `lms-backend ec2 SG`)
            *   `sg-000899776347fbd97` (Name: `Redis SG`)
            *   `sg-07119b2381a3d3505` (Name: `lms-backend  postgreSQL RDS SG`)
            *   `sg-0615f304a8f9d57d7` (Name: `lms-ecs ec2 SG`)
            *   `sg-062ee057df2fe31c2` (Name: `public-read-replica-sg`)
            *   `sg-0879910f684dc34a1` (Name: `default`)
        *   **Route Tables (for lms-vpc):**
            *   `rtb-0777ba3f9d8122c4c` (Main route table, routes to local)
            *   `rtb-05cbfaba087aaade3` (Name: `lms-vpc-lms-vpc public subnet`, routes to local and IGW `igw-001215c6ec8ad53ba`)
            *   `rtb-0d9a79b5e23c3f515` (Name: `lms-vpc-lms-vpc private subnet`, routes to local and NAT Gateway `nat-0f2e426f4aa83f470`)

### 2.7. Amazon Simple Storage Service (S3)

*   **Buckets:**
    *   `artillery-dltcommonresourceslogsbucket48a2774d-ceelkapvrk9v`
    *   `artillery-dltconsoleresourcesdltcloudfronttos3s3bu-o0xujevrribc`
    *   `artillery-dlttestrunnerstoragedltscenariosbucketa9-ts2kiadrbp7c`
    *   `elasticbeanstalk-us-east-2-077143350556`
    *   `sumaya369-production-deploy`
    *   `sumaya369-production-env`
    *   `sumaya369-production-fire-base-auth`
    *   `sumaya369-production-media`

This report should give you a good overview of your AWS costs and current resource deployment.